ROOT=../..

CFLAGS = -g -I$(ROOT)/src $(CFLAGS_LIBRND) -DRND_INLINE=static
LDFLAGS = $(LDFLAGS_LIBRND)
#LDRND = -lrnd_3rd
LDRND = -lgenht

#CFLAGS += -pg -O3
#LDFLAGS += -pg

main: main.o $(ROOT)/src/plugins/lib_plot/plot_data.o
	$(CC) -o main main.o $(ROOT)/src/plugins/lib_plot/plot_data.o $(LDRND) $(LDFLAGS) $(LDLIBS)

include $(ROOT)/Makefile.conf
include $(LIBRND_MAK)

main.o: main.c
	$(CC) -c $(CFLAGS) -o main.o main.c
